import logging
import logging.handlers
import time
import random

# Konfiguriere den SocketHandler, um Logs an den Server zu senden
socket_handler = logging.handlers.SocketHandler("localhost", 19996)

# Definiere verschiedene Logger für unterschiedliche Module
logger_main = logging.getLogger("main_app")
logger_main.setLevel(logging.DEBUG)
logger_main.addHandler(socket_handler)

logger_db = logging.getLogger("database.connector")
logger_db.setLevel(logging.DEBUG)
logger_db.addHandler(socket_handler)

logger_api = logging.getLogger("api.v1")
logger_api.setLevel(logging.DEBUG)
logger_api.addHandler(socket_handler)

log_levels = [logging.DEBUG, logging.INFO, logging.WARNING, logging.ERROR, logging.CRITICAL]
loggers = [logger_main, logger_db, logger_api]

if __name__ == "__main__":
    print("Sende Logs an den Server. Drücken Sie STRG+C zum Beenden.")
    try:
        while True:
            level = random.choice(log_levels)
            logger = random.choice(loggers)
            logger.log(level, f"Dies ist eine Testnachricht.")
            time.sleep(random.uniform(0.5, 2.0))
    except KeyboardInterrupt:
        print("Senden der Logs beendet.")
